/** Un miglioramento della classe Greeter. Ogni oggetto mantiene nel suo 
    stato una stringa che contiene un certo nome. L'oggetto rivolger a 
    quel nome i suoi saluti
    */
public class NameGreeter  {
  // Il nome da salutare - Variabile istanza privata
  private String name;

  /** Saluta "World" */
  public NameGreeter() {
    name = "World";
  }

  /** L'oggetto saluter il nome aname
      @param aname la stringa con il nome che si vuole che l'oggetto saluti
      */
  public NameGreeter(String aname) {
    name = aname;
  }

  /** Formula il saluto al nome presente nel proprio stato 
      @return la stringa di saluto personalizzata 
      */
  public String sayHello() {
    String message = "Hello, " + name + "!";
    return message;
  }
}
