/** E' come la classe NameGreeter, ma presenta alcuni conflitti sui nomi nei
    metodi e li risolve */
public class NameGreeterConflict  {
  //Il nome da salutare
  private String name;

  public NameGreeterConflict() {
    name = "World";
  }
  public NameGreeterConflict(String name) {
    // Conflitto fra il nome del parametro e il nome della variabile istanza
    // Per risolverlo uso il parametro implicito this
    this.name = name;
  }
  public String sayHello() {
    // Conflitto fra il nome della variabile di frame name e il nome della
    // variabile istanza name. Anche qui risolvo usando il parametro implicito
    // this
    String name = "Hello, " + this.name + "!";
    return name;
  }
}
